@mixin app-new-agency-site-document-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-new-agency-site-document {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .documents-outer {
    margin-top: 5px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .documents-outer-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;
      }

      .mat-card-content {
        .mat-tab-label {
          background: #bdbdbd;
          border-radius: 10px 10px 0px 0px;
          margin-right: 10px;
          height: 30px !important;
          padding: 0;
          font-size: 1.1em;
        }

        .mat-tab-label-active {
          opacity: 1 !important;
          background-color: mat-color($primary);
          color: white;
        }

        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;
            overflow: hidden;

            .document-main {
              width: auto;
              overflow: hidden;

              .mat-form-field-wrapper {
                padding-bottom: 0.3em !important;
              }
              .document-sub {
                padding: 10px 5px;

                .content-main {
                  display: flex;
                  flex-flow: column wrap;

                  .content-sub-grid {
                    display: flex;
                    align-items: center;
                  }

                  .content-sub {
                    display: flex;
                    align-items: center;
                    width: 80%;

                    .content-sub-label {
                      order: 1;
                      width: 13em;
                      padding-right: 0.5em;
                      text-align: right;
                    }

                    .content-sub-field {
                      order: 2;
                      flex: 1 1 auto;
                    }

                    .content-sub-field2 {
                      order: 3;
                      height: 34px;
                      margin-top: -5px;
                    }

                    .fileInput {
                      display: none;
                    }

                    .content-sub-actions {
                      order: 3;
                      font-size: 2.9em;
                      line-height: 20px;
                      cursor: pointer;
                    }

                    .content-sub-middle {
                      font-weight: bold;
                      margin-bottom: 5px;
                    }

                    .file-error-msg {
                      padding: 0 1em;
                      font-size: 0.8em;
                      margin-top: -10px;
                    }
                  }
                }

                .toolbar-spacer {
                  flex: 1 1 auto;
                }

                .upload {
                  font-weight: bold;
                  color: #28a745;
                  margin-left: 10px;
                }
              }
            }
          }
        }
      }
    }
  }


}
